<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8">
    <title>Лабораторная 1</title>
    <script type="text/javascript" src="js/jquery-3.4.1.min.js"></script>
    <script type="text/javascript" src="js/big.min.js"></script>
    <style>
        html {
            margin: 0;
            padding: 0;
            background-color: mintcream;
            text-align: center;
        }

        header, footer {
            width: 773px;
            padding: 5px;
            margin: 10px auto 10px auto;
            background: coral;
            border-bottom: 5px;
            border-radius: 13px;
            font-family: Arial, Helvetica, cursive;
        }

        article{
            width: 760px;
            height: 436px;
            background: coral;
            padding: 10px;
            border-radius: 13px;
            margin: auto;
        }

        article table {
            margin-left: 6px;
            width: 750px;
            height: 350px;
        }

        .result {
            width: 720px;
            height: 227px;
            background-color: ghostwhite;
        }

        select#selectX {
            color: #fff;
            background-color: #779126;
            -webkit-border-radius: 20px;
            -moz-border-radius: 20px;
            border-radius: 20px;
            padding-left: 40px;
            width: 105px;
        }

        .buttons input[type=button]:hover {
            background-color:#5cbf2a;
        }

        .buttons input[type=button]:active {
            position:relative;
            top:1px;
        }

        input[type=text]::-webkit-inner-spin-button {
            -webkit-appearance: none;
        }

        .buttons input[type=button]{
            -moz-box-shadow: 3px 5px 2px -4px #779126;
            -webkit-box-shadow: 3px 5px 2px -4px #779126;
            box-shadow: 3px 5px 2px -4px #779126;
            background-color:#779126;
            -moz-border-radius:28px;
            -webkit-border-radius:28px;
            border-radius:28px;
            border:1px solid #18ab29;
            display:inline-block;
            cursor:pointer;
            color:#ffffff;
            font-size:14px;
            padding:1px 14px;
            text-decoration:none;
            text-shadow:0 1px 0 #2f6627;
        }

        .tooltip .tooltiptext {
            visibility: hidden;
            width: 100px;
            background-color: rgba(8, 55, 87, 0.6);
            color: #fff;
            text-align: center;
            border-radius: 5px;
            margin-top: -28px;
            margin-left: 84px;
            position: absolute;
            float: right;
            z-index: 1
        }

        #Rlog {
            margin-right: 20px;
            margin-left: 2px;
        }
    </style>
</head>
<body>
<div>
    <header>
        <h1>Попадание в область</h1>
        Киселев Артем Олегович группа P3214 <br/>
        Вариант 214005
    </header>

    <article class="work">
        <form method="POST" id="sendD">
            <table border="1px">
                <tr>
                    <th>Поле</th>
                    <th>Значение</th>
                    <td class="graphic" rowspan="5">
                        <img id="imgraph" src="graph.png" width="196" height="183" alt="Косяк с картинкой"/>
                    </td>
                </tr>
                <tr>
                    <td><label for="selectX">X</label></td>
                    <td><select id="selectX" name="X"></select></td>
                </tr>
                <tr>
                    <td><label for="textY">Y</label></td>
                    <td>
                        <!-- <input type="text" id="textY"
                        pattern="(-[1-2])||(-[0-2](\.||\,)[0-9]{1,2})||([0-2]||([0-2](\.||\,)[0-9]{1,3}))"
                        maxlength="8" size="6" name="Y" placeholder=" от -3 до 3"> -->
                        <!-- <input id="textY" type="number" step="any" min="-3" max="3" name="Y" placeholder="от -3 до 3" required/> -->
                        <input id="textY" type="text" name="Y" placeholder="от -3 до 3" required/>
                        <div class="tooltip"><span class="tooltiptext" id="tooltipId"></span></div>
                    </td>
                </tr>
                <tr>
                    <td>R</td>
                    <td class="buttons">
                        <span id="Rlog">R = 1</span>
                        <input type="button" id="buttonR1" value="1" />
                        <input type="button" id="buttonR2" value="1.5" />
                        <input type="button" id="buttonR3" value="2" />
                        <input type="button" id="buttonR4" value="2.5" />
                        <input type="button" id="buttonR5" value="3" />
                        <input type="hidden" id="hiddenR" name="R" value="1"/>
                        <input type="hidden" id="offset" name="offset">
                    </td>
                </tr>
                <tr>
                    <td colspan="2"><input type="submit" id="submit" /></td>
                </tr>
                <tr>
                    <td colspan="3">
                        <iframe class="result" name="result"></iframe>
                    </td>
                </tr>
            </table>
        </form>

    </article>

    <footer>Copyright. All rights reserved. 2019 </footer>
</div>
<script type="text/javascript" src="js/main.js"></script>
</body>
</html>
